## org.apache.batik.css.engine.value.css2
Class FontStretchManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.css2.FontStretchManager

All Implemented Interfaces:
  ValueManager

public class FontStretchManager
extends IdentifierManager

This class provides a manager for the 'font-stretch' property values.

Field Summary
`protected static StringMap` `values` The identifier values.

Constructor Summary
`FontStretchManager()`

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`protected StringMap` `getIdentifiers()` Implements `IdentifierManager.getIdentifiers()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`boolean` `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue, createValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### FontStretchManager

    public FontStretchManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractValueManager`

### getIdentifiers

    protected StringMap getIdentifiers()

  Implements `IdentifierManager.getIdentifiers()`.

  Specified by:
    `getIdentifiers` in class `IdentifierManager`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.